org.apache.cassandra.locator

## Interface DynamicEndpointSnitchMBean

All Known Implementing Classes:
  DynamicEndpointSnitch

    public interface DynamicEndpointSnitchMBean

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<java.lang.Double>` `dumpTimings(java.lang.String hostname)`
`double` `getBadnessThreshold()`
`int` `getResetInterval()`
`java.util.Map<java.net.InetAddress,java.lang.Double>` `getScores()`
`double` `getSeverity()`
`java.lang.String` `getSubsnitchClassName()`
`int` `getUpdateInterval()`
`void` `setSeverity(double severity)` Setting a Severity allows operators to inject preference information into the Dynamic Snitch replica selection.

### Method Detail

#### getScores

    java.util.Map<java.net.InetAddress,java.lang.Double> getScores()

#### getUpdateInterval

    int getUpdateInterval()

#### getResetInterval

    int getResetInterval()

#### getBadnessThreshold

    double getBadnessThreshold()

#### getSubsnitchClassName

    java.lang.String getSubsnitchClassName()

#### dumpTimings

    java.util.List<java.lang.Double> dumpTimings(java.lang.String hostname)
                                          throws java.net.UnknownHostException

Throws:
  `java.net.UnknownHostException`

#### setSeverity

    void setSeverity(double severity)

Setting a Severity allows operators to inject preference information into the Dynamic Snitch replica selection. When choosing which replicas to participate in a read request, the DSnitch sorts replicas by response latency, and selects the fastest replicas. Latencies are normalized to a score from 0 to 1, with lower scores being faster. The Severity injected here will be added to the normalized score. Thus, adding a Severity greater than 1 will mean the replica will never be contacted (unless needed for ALL or if it is added later for rapid read protection). Conversely, adding a negative Severity means the replica will *always* be contacted. (The "Severity" term is historical and dates to when this was used to represent how badly background tasks like compaction were affecting a replica's performance. See CASSANDRA-3722 for when this was introduced and CASSANDRA-11738 for why it was removed.)

#### getSeverity

    double getSeverity()

Returns:
  the current manually injected Severity.